#' OpenAPI Petstore
#'
#' This is a sample server Petstore server. For this sample, you can use the api key `special-key` to test the authorization filters.
#'
#' The version of the OpenAPI document: 1.0.0
#' Generated by: https://openapi-generator.tech
#'

#' @docType class
#' @title BasquePig
#' @description BasquePig Class
#' @format An \code{R6Class} generator object
#' @field className  character
#' @field color  character
#' @importFrom R6 R6Class
#' @importFrom jsonlite fromJSON toJSON
#' @export
BasquePig <- R6::R6Class(
  "BasquePig",
  public = list(
    `className` = NULL,
    `color` = NULL,
    #' Initialize a new BasquePig class.
    #'
    #' @description
    #' Initialize a new BasquePig class.
    #'
    #' @param className className
    #' @param color color
    #' @param ... Other optional arguments.
    #' @export
    initialize = function(
        `className`, `color`, ...
    ) {
      if (!missing(`className`)) {
        stopifnot(is.character(`className`), length(`className`) == 1)
        self$`className` <- `className`
      }
      if (!missing(`color`)) {
        stopifnot(is.character(`color`), length(`color`) == 1)
        self$`color` <- `color`
      }
    },
    #' To JSON string
    #'
    #' @description
    #' To JSON String
    #'
    #' @return BasquePig in JSON format
    #' @export
    toJSON = function() {
      BasquePigObject <- list()
      if (!is.null(self$`className`)) {
        BasquePigObject[["className"]] <-
          self$`className`
      }
      if (!is.null(self$`color`)) {
        BasquePigObject[["color"]] <-
          self$`color`
      }

      BasquePigObject
    },
    #' Deserialize JSON string into an instance of BasquePig
    #'
    #' @description
    #' Deserialize JSON string into an instance of BasquePig
    #'
    #' @param input_json the JSON input
    #' @return the instance of BasquePig
    #' @export
    fromJSON = function(input_json) {
      this_object <- jsonlite::fromJSON(input_json)
      if (!is.null(this_object$`className`)) {
        self$`className` <- this_object$`className`
      }
      if (!is.null(this_object$`color`)) {
        self$`color` <- this_object$`color`
      }
      self
    },
    #' To JSON string
    #'
    #' @description
    #' To JSON String
    #'
    #' @return BasquePig in JSON format
    #' @export
    toJSONString = function() {
      jsoncontent <- c(
        if (!is.null(self$`className`)) {
          sprintf(
          '"className":
            "%s"
                    ',
          self$`className`
          )
        },
        if (!is.null(self$`color`)) {
          sprintf(
          '"color":
            "%s"
                    ',
          self$`color`
          )
        }
      )
      jsoncontent <- paste(jsoncontent, collapse = ",")
      as.character(jsonlite::minify(paste("{", jsoncontent, "}", sep = "")))
    },
    #' Deserialize JSON string into an instance of BasquePig
    #'
    #' @description
    #' Deserialize JSON string into an instance of BasquePig
    #'
    #' @param input_json the JSON input
    #' @return the instance of BasquePig
    #' @export
    fromJSONString = function(input_json) {
      this_object <- jsonlite::fromJSON(input_json)
      self$`className` <- this_object$`className`
      self$`color` <- this_object$`color`
      self
    },
    #' Validate JSON input with respect to BasquePig
    #'
    #' @description
    #' Validate JSON input with respect to BasquePig and throw an exception if invalid
    #'
    #' @param input the JSON input
    #' @export
    validateJSON = function(input) {
      input_json <- jsonlite::fromJSON(input)
      # check the required field `className`
      if (!is.null(input_json$`className`)) {
        stopifnot(is.character(input_json$`className`), length(input_json$`className`) == 1)
      } else {
        stop(paste("The JSON input `", input, "` is invalid for BasquePig: the required field `className` is missing."))
      }
      # check the required field `color`
      if (!is.null(input_json$`color`)) {
        stopifnot(is.character(input_json$`color`), length(input_json$`color`) == 1)
      } else {
        stop(paste("The JSON input `", input, "` is invalid for BasquePig: the required field `color` is missing."))
      }
    },
    #' To string (JSON format)
    #'
    #' @description
    #' To string (JSON format)
    #'
    #' @return String representation of BasquePig
    #' @export
    toString = function() {
      self$toJSONString()
    }
  )
)
