# petstore-api
This spec is mainly for testing Petstore server and contains fake endpoints, models. Please do not use this for any other purpose. Special characters: \" \\

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonExperimentalClientCodegen

## Requirements.

Python &gt;&#x3D;3.9
v3.9 is needed so one can combine classmethod and property decorators to define
object schema properties as classes

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import petstore_api
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import petstore_api
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
import datetimeimport datetimeimport datetimeimport datetimeimport datetimeimport datetimeimport datetime
import time
import petstore_api
from pprint import pprint
from petstore_api.apis import another_fake_api
from petstore_api.model.client import Client
# Defining the host is optional and defaults to http://petstore.swagger.io:80/v2
# See configuration.py for a list of all supported configuration parameters.
configuration = petstore_api.Configuration(
    host = "http://petstore.swagger.io:80/v2"
)


# Enter a context with an instance of the API client
with petstore_api.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = another_fake_api.AnotherFakeApi(api_client)
    client = Client(
        client="client_example",
    ) # Client | client model

    try:
        # To test special tags
        api_response = api_instance.call_123_test_special_tags(client)
        pprint(api_response)
    except petstore_api.ApiException as e:
        print("Exception when calling AnotherFakeApi->call_123_test_special_tags: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *http://petstore.swagger.io:80/v2*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AnotherFakeApi* | [**call_123_test_special_tags**](docs/AnotherFakeApi.md#ANOTHERFAKE_DUMMY) | **patch** /another-fake/dummy | To test special tags
*DefaultApi* | [**foo_get**](docs/DefaultApi.md#FOO) | **get** /foo | 
*FakeApi* | [**additional_properties_with_array_of_enums**](docs/FakeApi.md#FAKE_ADDITIONALPROPERTIESWITHARRAYOFENUMS) | **get** /fake/additional-properties-with-array-of-enums | Additional Properties with Array of Enums
*FakeApi* | [**array_model**](docs/FakeApi.md#FAKE_REFS_ARRAYMODEL) | **post** /fake/refs/arraymodel | 
*FakeApi* | [**array_of_enums**](docs/FakeApi.md#FAKE_REFS_ARRAYOFENUMS) | **post** /fake/refs/array-of-enums | Array of Enums
*FakeApi* | [**body_with_file_schema**](docs/FakeApi.md#FAKE_BODYWITHFILESCHEMA) | **put** /fake/body-with-file-schema | 
*FakeApi* | [**body_with_query_params**](docs/FakeApi.md#FAKE_BODYWITHQUERYPARAMS) | **put** /fake/body-with-query-params | 
*FakeApi* | [**boolean**](docs/FakeApi.md#FAKE_REFS_BOOLEAN) | **post** /fake/refs/boolean | 
*FakeApi* | [**case_sensitive_params**](docs/FakeApi.md#FAKE_CASESENSITIVEPARAMS) | **put** /fake/case-sensitive-params | 
*FakeApi* | [**client_model**](docs/FakeApi.md#FAKE) | **patch** /fake | To test \&quot;client\&quot; model
*FakeApi* | [**composed_one_of_different_types**](docs/FakeApi.md#FAKE_REFS_COMPOSED_ONE_OF_NUMBER_WITH_VALIDATIONS) | **post** /fake/refs/composed_one_of_number_with_validations | 
*FakeApi* | [**delete_coffee**](docs/FakeApi.md#FAKE_DELETE_COFFEE_ID) | **delete** /fake/deleteCoffee/{id} | Delete coffee
*FakeApi* | [**endpoint_parameters**](docs/FakeApi.md#FAKE) | **post** /fake | Fake endpoint for testing various parameters 假端點 偽のエンドポイント 가짜 엔드 포인트 
*FakeApi* | [**enum_parameters**](docs/FakeApi.md#FAKE) | **get** /fake | To test enum parameters
*FakeApi* | [**fake_health_get**](docs/FakeApi.md#FAKE_HEALTH) | **get** /fake/health | Health check endpoint
*FakeApi* | [**group_parameters**](docs/FakeApi.md#FAKE) | **delete** /fake | Fake endpoint to test group parameters (optional)
*FakeApi* | [**inline_additional_properties**](docs/FakeApi.md#FAKE_INLINEADDITIONAL_PROPERTIES) | **post** /fake/inline-additionalProperties | test inline additionalProperties
*FakeApi* | [**inline_composition**](docs/FakeApi.md#FAKE_INLINE_COMPOSITION_) | **post** /fake/inlineComposition/ | testing composed schemas at inline locations
*FakeApi* | [**json_form_data**](docs/FakeApi.md#FAKE_JSON_FORM_DATA) | **get** /fake/jsonFormData | test json serialization of form data
*FakeApi* | [**json_with_charset**](docs/FakeApi.md#FAKE_JSON_WITH_CHARSET) | **post** /fake/jsonWithCharset | json with charset tx and rx
*FakeApi* | [**mammal**](docs/FakeApi.md#FAKE_REFS_MAMMAL) | **post** /fake/refs/mammal | 
*FakeApi* | [**number_with_validations**](docs/FakeApi.md#FAKE_REFS_NUMBER) | **post** /fake/refs/number | 
*FakeApi* | [**object_in_query**](docs/FakeApi.md#FAKE_OBJ_IN_QUERY) | **get** /fake/objInQuery | user list
*FakeApi* | [**object_model_with_ref_props**](docs/FakeApi.md#FAKE_REFS_OBJECT_MODEL_WITH_REF_PROPS) | **post** /fake/refs/object_model_with_ref_props | 
*FakeApi* | [**parameter_collisions**](docs/FakeApi.md#FAKE_PARAMETER_COLLISIONS_1_A_B_AB_SELF_AB_) | **post** /fake/parameterCollisions/{1}/{aB}/{Ab}/{self}/{A-B}/ | parameter collision case
*FakeApi* | [**query_parameter_collection_format**](docs/FakeApi.md#FAKE_TESTQUERYPARAMTERS) | **put** /fake/test-query-paramters | 
*FakeApi* | [**ref_object_in_query**](docs/FakeApi.md#FAKE_REF_OBJ_IN_QUERY) | **get** /fake/refObjInQuery | user list
*FakeApi* | [**response_without_schema**](docs/FakeApi.md#FAKE_RESPONSE_WITHOUT_SCHEMA) | **get** /fake/responseWithoutSchema | receives a response without schema
*FakeApi* | [**string**](docs/FakeApi.md#FAKE_REFS_STRING) | **post** /fake/refs/string | 
*FakeApi* | [**string_enum**](docs/FakeApi.md#FAKE_REFS_ENUM) | **post** /fake/refs/enum | 
*FakeApi* | [**upload_download_file**](docs/FakeApi.md#FAKE_UPLOAD_DOWNLOAD_FILE) | **post** /fake/uploadDownloadFile | uploads a file and downloads a file using application/octet-stream
*FakeApi* | [**upload_file**](docs/FakeApi.md#FAKE_UPLOAD_FILE) | **post** /fake/uploadFile | uploads a file using multipart/form-data
*FakeApi* | [**upload_files**](docs/FakeApi.md#FAKE_UPLOAD_FILES) | **post** /fake/uploadFiles | uploads files using multipart/form-data
*FakeClassnameTags123Api* | [**classname**](docs/FakeClassnameTags123Api.md#FAKE_CLASSNAME_TEST) | **patch** /fake_classname_test | To test class name in snake case
*PetApi* | [**add_pet**](docs/PetApi.md#PET) | **post** /pet | Add a new pet to the store
*PetApi* | [**delete_pet**](docs/PetApi.md#PET_PET_ID) | **delete** /pet/{petId} | Deletes a pet
*PetApi* | [**find_pets_by_status**](docs/PetApi.md#PET_FIND_BY_STATUS) | **get** /pet/findByStatus | Finds Pets by status
*PetApi* | [**find_pets_by_tags**](docs/PetApi.md#PET_FIND_BY_TAGS) | **get** /pet/findByTags | Finds Pets by tags
*PetApi* | [**get_pet_by_id**](docs/PetApi.md#PET_PET_ID) | **get** /pet/{petId} | Find pet by ID
*PetApi* | [**update_pet**](docs/PetApi.md#PET) | **put** /pet | Update an existing pet
*PetApi* | [**update_pet_with_form**](docs/PetApi.md#PET_PET_ID) | **post** /pet/{petId} | Updates a pet in the store with form data
*PetApi* | [**upload_file_with_required_file**](docs/PetApi.md#FAKE_PET_ID_UPLOAD_IMAGE_WITH_REQUIRED_FILE) | **post** /fake/{petId}/uploadImageWithRequiredFile | uploads an image (required)
*PetApi* | [**upload_image**](docs/PetApi.md#PET_PET_ID_UPLOAD_IMAGE) | **post** /pet/{petId}/uploadImage | uploads an image
*StoreApi* | [**delete_order**](docs/StoreApi.md#STORE_ORDER_ORDER_ID) | **delete** /store/order/{order_id} | Delete purchase order by ID
*StoreApi* | [**get_inventory**](docs/StoreApi.md#STORE_INVENTORY) | **get** /store/inventory | Returns pet inventories by status
*StoreApi* | [**get_order_by_id**](docs/StoreApi.md#STORE_ORDER_ORDER_ID) | **get** /store/order/{order_id} | Find purchase order by ID
*StoreApi* | [**place_order**](docs/StoreApi.md#STORE_ORDER) | **post** /store/order | Place an order for a pet
*UserApi* | [**create_user**](docs/UserApi.md#USER) | **post** /user | Create user
*UserApi* | [**create_users_with_array_input**](docs/UserApi.md#USER_CREATE_WITH_ARRAY) | **post** /user/createWithArray | Creates list of users with given input array
*UserApi* | [**create_users_with_list_input**](docs/UserApi.md#USER_CREATE_WITH_LIST) | **post** /user/createWithList | Creates list of users with given input array
*UserApi* | [**delete_user**](docs/UserApi.md#USER_USERNAME) | **delete** /user/{username} | Delete user
*UserApi* | [**get_user_by_name**](docs/UserApi.md#USER_USERNAME) | **get** /user/{username} | Get user by user name
*UserApi* | [**login_user**](docs/UserApi.md#USER_LOGIN) | **get** /user/login | Logs user into the system
*UserApi* | [**logout_user**](docs/UserApi.md#USER_LOGOUT) | **get** /user/logout | Logs out current logged in user session
*UserApi* | [**update_user**](docs/UserApi.md#USER_USERNAME) | **put** /user/{username} | Updated user

## Documentation For Models

 - [AdditionalPropertiesClass](docs/AdditionalPropertiesClass.md)
 - [AdditionalPropertiesWithArrayOfEnums](docs/AdditionalPropertiesWithArrayOfEnums.md)
 - [Address](docs/Address.md)
 - [Animal](docs/Animal.md)
 - [AnimalFarm](docs/AnimalFarm.md)
 - [AnyTypeNotString](docs/AnyTypeNotString.md)
 - [ApiResponse](docs/ApiResponse.md)
 - [Apple](docs/Apple.md)
 - [AppleReq](docs/AppleReq.md)
 - [ArrayHoldingAnyType](docs/ArrayHoldingAnyType.md)
 - [ArrayOfArrayOfNumberOnly](docs/ArrayOfArrayOfNumberOnly.md)
 - [ArrayOfEnums](docs/ArrayOfEnums.md)
 - [ArrayOfNumberOnly](docs/ArrayOfNumberOnly.md)
 - [ArrayTest](docs/ArrayTest.md)
 - [ArrayWithValidationsInItems](docs/ArrayWithValidationsInItems.md)
 - [Banana](docs/Banana.md)
 - [BananaReq](docs/BananaReq.md)
 - [Bar](docs/Bar.md)
 - [BasquePig](docs/BasquePig.md)
 - [Boolean](docs/Boolean.md)
 - [BooleanEnum](docs/BooleanEnum.md)
 - [Capitalization](docs/Capitalization.md)
 - [Cat](docs/Cat.md)
 - [Category](docs/Category.md)
 - [ChildCat](docs/ChildCat.md)
 - [ClassModel](docs/ClassModel.md)
 - [Client](docs/Client.md)
 - [ComplexQuadrilateral](docs/ComplexQuadrilateral.md)
 - [ComposedAnyOfDifferentTypesNoValidations](docs/ComposedAnyOfDifferentTypesNoValidations.md)
 - [ComposedArray](docs/ComposedArray.md)
 - [ComposedBool](docs/ComposedBool.md)
 - [ComposedNone](docs/ComposedNone.md)
 - [ComposedNumber](docs/ComposedNumber.md)
 - [ComposedObject](docs/ComposedObject.md)
 - [ComposedOneOfDifferentTypes](docs/ComposedOneOfDifferentTypes.md)
 - [ComposedString](docs/ComposedString.md)
 - [Currency](docs/Currency.md)
 - [DanishPig](docs/DanishPig.md)
 - [DateTimeTest](docs/DateTimeTest.md)
 - [DateTimeWithValidations](docs/DateTimeWithValidations.md)
 - [DateWithValidations](docs/DateWithValidations.md)
 - [DecimalPayload](docs/DecimalPayload.md)
 - [Dog](docs/Dog.md)
 - [Drawing](docs/Drawing.md)
 - [EnumArrays](docs/EnumArrays.md)
 - [EnumClass](docs/EnumClass.md)
 - [EnumTest](docs/EnumTest.md)
 - [EquilateralTriangle](docs/EquilateralTriangle.md)
 - [File](docs/File.md)
 - [FileSchemaTestClass](docs/FileSchemaTestClass.md)
 - [Foo](docs/Foo.md)
 - [FormatTest](docs/FormatTest.md)
 - [Fruit](docs/Fruit.md)
 - [FruitReq](docs/FruitReq.md)
 - [GmFruit](docs/GmFruit.md)
 - [GrandparentAnimal](docs/GrandparentAnimal.md)
 - [HasOnlyReadOnly](docs/HasOnlyReadOnly.md)
 - [HealthCheckResult](docs/HealthCheckResult.md)
 - [IntegerEnum](docs/IntegerEnum.md)
 - [IntegerEnumBig](docs/IntegerEnumBig.md)
 - [IntegerEnumOneValue](docs/IntegerEnumOneValue.md)
 - [IntegerEnumWithDefaultValue](docs/IntegerEnumWithDefaultValue.md)
 - [IntegerMax10](docs/IntegerMax10.md)
 - [IntegerMin15](docs/IntegerMin15.md)
 - [IsoscelesTriangle](docs/IsoscelesTriangle.md)
 - [Mammal](docs/Mammal.md)
 - [MapTest](docs/MapTest.md)
 - [MixedPropertiesAndAdditionalPropertiesClass](docs/MixedPropertiesAndAdditionalPropertiesClass.md)
 - [Model200Response](docs/Model200Response.md)
 - [ModelReturn](docs/ModelReturn.md)
 - [Money](docs/Money.md)
 - [Name](docs/Name.md)
 - [NoAdditionalProperties](docs/NoAdditionalProperties.md)
 - [NullableClass](docs/NullableClass.md)
 - [NullableShape](docs/NullableShape.md)
 - [NullableString](docs/NullableString.md)
 - [Number](docs/Number.md)
 - [NumberOnly](docs/NumberOnly.md)
 - [NumberWithValidations](docs/NumberWithValidations.md)
 - [ObjectInterface](docs/ObjectInterface.md)
 - [ObjectModelWithRefProps](docs/ObjectModelWithRefProps.md)
 - [ObjectWithDecimalProperties](docs/ObjectWithDecimalProperties.md)
 - [ObjectWithDifficultlyNamedProps](docs/ObjectWithDifficultlyNamedProps.md)
 - [ObjectWithInlineCompositionProperty](docs/ObjectWithInlineCompositionProperty.md)
 - [ObjectWithValidations](docs/ObjectWithValidations.md)
 - [Order](docs/Order.md)
 - [ParentPet](docs/ParentPet.md)
 - [Pet](docs/Pet.md)
 - [Pig](docs/Pig.md)
 - [Player](docs/Player.md)
 - [Quadrilateral](docs/Quadrilateral.md)
 - [QuadrilateralInterface](docs/QuadrilateralInterface.md)
 - [ReadOnlyFirst](docs/ReadOnlyFirst.md)
 - [ScaleneTriangle](docs/ScaleneTriangle.md)
 - [Shape](docs/Shape.md)
 - [ShapeOrNull](docs/ShapeOrNull.md)
 - [SimpleQuadrilateral](docs/SimpleQuadrilateral.md)
 - [SomeObject](docs/SomeObject.md)
 - [SpecialModelName](docs/SpecialModelName.md)
 - [String](docs/String.md)
 - [StringBooleanMap](docs/StringBooleanMap.md)
 - [StringEnum](docs/StringEnum.md)
 - [StringEnumWithDefaultValue](docs/StringEnumWithDefaultValue.md)
 - [StringWithValidation](docs/StringWithValidation.md)
 - [Tag](docs/Tag.md)
 - [Triangle](docs/Triangle.md)
 - [TriangleInterface](docs/TriangleInterface.md)
 - [UUIDString](docs/UUIDString.md)
 - [User](docs/User.md)
 - [Whale](docs/Whale.md)
 - [Zebra](docs/Zebra.md)

## Documentation For Authorization


## api_key

- **Type**: API key
- **API key parameter name**: api_key
- **Location**: HTTP header


## api_key_query

- **Type**: API key
- **API key parameter name**: api_key_query
- **Location**: URL query string


## bearer_test

- **Type**: Bearer authentication (JWT)


## http_basic_test

- **Type**: HTTP basic authentication


## http_signature_test

- **Type**: HTTP signature authentication

 Authentication schemes defined for the API:
## petstore_auth

- **Type**: OAuth
- **Flow**: implicit
- **Authorization URL**: http://petstore.swagger.io/api/oauth/dialog
- **Scopes**: 
 - **write:pets**: modify pets in your account
 - **read:pets**: read your pets


## Author









## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in petstore_api.apis and petstore_api.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from petstore_api.apis.default_api import DefaultApi`
- `from petstore_api.model.pet import Pet`

Solution 1:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
import petstore_api
from petstore_api.apis import *
from petstore_api.models import *
```
